unit Ask;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  StdCtrls, ExtCtrls;

type
  TAskName = class(TForm)
    Edit1: TEdit;
    Image1: TImage;
    Button1: TButton;
    procedure FormDestroy(Sender: TObject);
    procedure FormCreate(Sender: TObject);
    procedure FormPaint(Sender: TObject);
    procedure Image1MouseUp(Sender: TObject; Button: TMouseButton;
      Shift: TShiftState; X, Y: Integer);
    procedure Image1MouseDown(Sender: TObject; Button: TMouseButton;
      Shift: TShiftState; X, Y: Integer);
    procedure Image1Click(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
    Bitmap : TBitmap;
  end;

var
  AskName: TAskName;

implementation

{$R *.DFM}

procedure TAskName.FormDestroy(Sender: TObject);
begin
     Bitmap.Free;
end;

procedure TAskName.FormCreate(Sender: TObject);
begin
     Bitmap := TBitmap.Create;
     Bitmap.LoadFromResourceID(hInstance, 122);
     Image1.Picture.Bitmap.LoadFromResourceID(hInstance, 123);
     Width := Bitmap.Width;
     Height := Bitmap.Height;
     Image1.Left := ( Bitmap.Width - Image1.Width ) div 2;
     Image1.Top := Bitmap.Height - 36;
end;

procedure TAskName.FormPaint(Sender: TObject);
begin
     Canvas.Draw(0,0,Bitmap);
end;

procedure TAskName.Image1MouseUp(Sender: TObject; Button: TMouseButton;
  Shift: TShiftState; X, Y: Integer);
begin
     if Button = mbLeft then
     begin
          Image1.Picture := nil;
          Image1.Picture.Bitmap.LoadFromResourceID(hInstance, 123);
     end;
end;

procedure TAskName.Image1MouseDown(Sender: TObject; Button: TMouseButton;
  Shift: TShiftState; X, Y: Integer);
begin
     if Button = mbLeft then
     begin
          Image1.Picture := nil;
          Image1.Picture.Bitmap.LoadFromResourceID(hInstance, 124);
     end;
end;

procedure TAskName.Image1Click(Sender: TObject);
begin
     Button1.Click;
end;

end.
